package cn.ezhizao.project.system.service.impl;

import cn.ezhizao.project.system.domain.SysDeptUser;
import cn.ezhizao.project.system.mapper.SysDeptUserMapper;
import cn.ezhizao.project.system.service.ISysDeptUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


@Service
public class SysDeptUserServiceImpl extends ServiceImpl<SysDeptUserMapper, SysDeptUser> implements ISysDeptUserService {

    @Resource
    private SysDeptUserMapper deptUserMapper;


    @Override
    public Integer deleteByDeptIdAndUserId(SysDeptUser deptUser) {
        return deptUserMapper.deleteByDeptIdAndUserId(deptUser);
    }

    @Override
    public List<SysDeptUser> getList(SysDeptUser deptUser) {
        return deptUserMapper.getList(deptUser);
    }

    @Override
    public Integer updateDeptUser(SysDeptUser date) {
        return deptUserMapper.updateDeptUser(date);
    }
}
